summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-tcltk/itk
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-tcltk/itk')
-rw-r--r--dev-tcltk/itk/Manifest3
-rw-r--r--dev-tcltk/itk/files/itk-3.4_pre20090417-install.patch103
-rw-r--r--dev-tcltk/itk/files/itk-4.0.0-install_data.patch20
-rw-r--r--dev-tcltk/itk/itk-3.4.1.ebuild60
-rw-r--r--dev-tcltk/itk/itk-4.0.0.ebuild59
-rw-r--r--dev-tcltk/itk/itk-4.0.1.ebuild60
-rw-r--r--dev-tcltk/itk/metadata.xml8
7 files changed, 313 insertions, 0 deletions
diff --git a/dev-tcltk/itk/Manifest b/dev-tcltk/itk/Manifest
new file mode 100644
index 00000000000..5f8aa2d6434
--- /dev/null
+++ b/dev-tcltk/itk/Manifest
@@ -0,0 +1,3 @@
+DIST itk3.4.1.tar.gz 182311 SHA256 9d14050ffdb711d44c06a9871979adac47564ba5359347ee5a0ca67707c96e44 SHA512 4680db81a0212e695cfe2c40cabe6dceb94520cf3ee06e2e332f12316838726da14c0b925b117ea351aa14fd2d695f361bcb4062743c66099ef783ae31ab37ef WHIRLPOOL 3cb1f894ce67b7cf60f16a7cf2505559e527d58e2271c5f2bf922972eb2bd349b904814ab4eeb23772f173d3f51a671967bd1afa2063d1785e68c8eb9f096883
+DIST itk4.0.0.tar.gz 177838 SHA256 36849f06f551f0a016be4e8f6ae4375483316e6c3e3579c57170e66299525d4d SHA512 4fd993e3683376bd2852a19e8ac63ec20a9319f3987737a32f7af78b645ff27416b18572b7e30fc1e41a5e4e06ac064280fd86d979738ca9906e2605069c51f3 WHIRLPOOL 164dde8a61c6d5d425fc1e98fb0a64f9bf6d268aa134097b6235a0747a85bd3d051cd94f9daa994b76ab97d966c7434c812107758c572dd1fe05fcc5dffd4ab5
+DIST itk4.0.1.tar.gz 182029 SHA256 a18399f4e060e737e19425eb314473ac64aca8ae40f9d6644a0815f6fd469c18 SHA512 d64beeb42949e96b384ef2fd571971813697086df8b18af79399cedbb80eba19dc013677957959ea93dc0dcd7cdc4be012b3f9a5f0eedf0bd743550837bd78fc WHIRLPOOL b4d179b76db89e201d7eebbcb337ce8da07ea1203ae954189c3f5cab32f2674fd08b722fb52dffcf38abd55eea4ef773a58fc98d9409a010714e115de1ad05bc
diff --git a/dev-tcltk/itk/files/itk-3.4_pre20090417-install.patch b/dev-tcltk/itk/files/itk-3.4_pre20090417-install.patch
new file mode 100644
index 00000000000..721bf918552
--- /dev/null
+++ b/dev-tcltk/itk/files/itk-3.4_pre20090417-install.patch
@@ -0,0 +1,103 @@
+ itk/Makefile.in | 2 +-
+ itk/configure.in | 23 +++++++++++++++++++++++
+ itk/itkConfig.sh.in | 28 +++++++++++-----------------
+ 3 files changed, 35 insertions(+), 18 deletions(-)
+--- a/itk/Makefile.in
++++ a/itk/Makefile.in
+@@ -395,7 +395,7 @@ install-lib-binaries:
+ fi; \
+ done
+ $(INSTALL_DATA) pkgIndex.tcl $(DESTDIR)$(pkglibdir)
+- : $(INSTALL_DATA) itkConfig.sh $(DESTDIR)$(libdir)
++ $(INSTALL_DATA) itkConfig.sh $(DESTDIR)$(libdir)
+
+ #========================================================================
+ # Install binary executables (e.g. .exe files)
+--- a/itk/configure.in
++++ a/itk/configure.in
+@@ -219,6 +219,7 @@ fi
+ # library.
+ #--------------------------------------------------------------------
+
++itk_LIB_FILE=${PKG_LIB_FILE}
+ AC_SUBST(itkstub_LIB_FILE)
+ AC_SUBST(itk_LIB_FILE)
+
+@@ -234,6 +235,28 @@ TEA_PROG_TCLSH
+ TEA_PROG_WISH
+
+ #--------------------------------------------------------------------
++# These are for itkConfig.sh
++#--------------------------------------------------------------------
++
++# pkglibdir must be a fully qualified path and (not ${exec_prefix}/lib)
++eval pkglibdir="${libdir}/${PACKAGE_NAME}${PACKAGE_VERSION}"
++if test "${TCL_LIB_VERSIONS_OK}" = "ok"; then
++ eval itk_LIB_FLAG="-litk${PACKAGE_VERSION}${DBGX}"
++else
++ eval itk_LIB_FLAG="-litk`echo ${PACKAGE_VERSION} | tr -d .`${DBGX}"
++fi
++itk_BUILD_LIB_SPEC="-L`pwd` ${itk_LIB_FLAG}"
++itk_LIB_SPEC="-L${pkglibdir} ${itk_LIB_FLAG}"
++
++AC_SUBST(itk_BUILD_LIB_SPEC)
++AC_SUBST(itk_LIB_SPEC)
++
++# itk_SRC_DIR must be a fully qualified path
++eval itk_SRC_DIR="$srcdir"
++itk_SRC_DIR=`cd "${itk_SRC_DIR}"; pwd`
++AC_SUBST(itk_SRC_DIR)
++
++#--------------------------------------------------------------------
+ # Finally, substitute all of the various values into the Makefile.
+ #--------------------------------------------------------------------
+
+--- a/itk/itkConfig.sh.in
++++ a/itk/itkConfig.sh.in
+@@ -11,30 +11,23 @@
+ #
+ # The information in this file is specific to a single platform.
+
+-# Itcl's version number.
+-ITCL_VERSION='@ITCL_VERSION@'
++# Itk's version number.
++itk_VERSION='@PACKAGE_VERSION@'
++ITK_VERSION='@PACKAGE_VERSION@'
+
+ # The name of the Itk library (may be either a .a file or a shared library):
+-ITK_LIB_FILE=@ITK_LIB_FILE@
++itk_LIB_FILE=@itk_LIB_FILE@
++ITK_LIB_FILE=@itk_LIB_FILE@
+
+ # String to pass to linker to pick up the Itk library from its
+ # build directory.
+-ITK_BUILD_LIB_SPEC='@ITK_BUILD_LIB_SPEC@'
++itk_BUILD_LIB_SPEC='@itk_BUILD_LIB_SPEC@'
++ITK_BUILD_LIB_SPEC='@itk_BUILD_LIB_SPEC@'
+
+ # String to pass to linker to pick up the Itk library from its
+ # installed directory.
+-ITK_LIB_SPEC='@ITK_LIB_SPEC@'
+-
+-# The name of the Itk stub library (a .a file):
+-ITK_STUB_LIB_FILE=@ITK_STUB_LIB_FILE@
+-
+-# String to pass to linker to pick up the Itk stub library from its
+-# build directory.
+-ITK_BUILD_STUB_LIB_SPEC='@ITK_BUILD_STUB_LIB_SPEC@'
+-
+-# String to pass to linker to pick up the Itk stub library from its
+-# installed directory.
+-ITK_STUB_LIB_SPEC='@ITK_STUB_LIB_SPEC@'
++itk_LIB_SPEC='@itk_LIB_SPEC@'
++ITK_LIB_SPEC='@itk_LIB_SPEC@'
+
+ # Location of the top-level source directories from which [incr Tk]
+ # was built. This is the directory that contains a README file as well
+@@ -42,4 +35,5 @@ ITK_STUB_LIB_SPEC='@ITK_STUB_LIB_SPEC@'
+ # compiled in a different place than the directory containing the source
+ # files, this points to the location of the sources, not the location
+ # where [incr Tk] was compiled.
+-ITK_SRC_DIR='@ITK_SRC_DIR@'
++itk_SRC_DIR='@itk_SRC_DIR@'
++ITK_SRC_DIR='@itk_SRC_DIR@'
diff --git a/dev-tcltk/itk/files/itk-4.0.0-install_data.patch b/dev-tcltk/itk/files/itk-4.0.0-install_data.patch
new file mode 100644
index 00000000000..caea5ba9e38
--- /dev/null
+++ b/dev-tcltk/itk/files/itk-4.0.0-install_data.patch
@@ -0,0 +1,20 @@
+--- Makefile.in.ori 2013-01-10 19:43:56.349623406 +0100
++++ Makefile.in 2013-01-10 19:46:08.634960354 +0100
+@@ -100,10 +100,13 @@
+
+ top_builddir = .
+
+-INSTALL = @INSTALL@
+-INSTALL_PROGRAM = @INSTALL_PROGRAM@
+-INSTALL_DATA = @INSTALL_DATA@
+-INSTALL_SCRIPT = @INSTALL_SCRIPT@
++INSTALL_OPTIONS =
++INSTALL = $(SHELL) $(srcdir)/tclconfig/install-sh -c ${INSTALL_OPTIONS}
++INSTALL_DATA_DIR = ${INSTALL} -d -m 755
++INSTALL_PROGRAM = ${INSTALL} -m 755
++INSTALL_DATA = ${INSTALL} -m 444
++INSTALL_SCRIPT = ${INSTALL_PROGRAM}
++INSTALL_LIBRARY = ${INSTALL_DATA}
+
+ PACKAGE_NAME = @PACKAGE_NAME@
+ PACKAGE_VERSION = @PACKAGE_VERSION@
diff --git a/dev-tcltk/itk/itk-3.4.1.ebuild b/dev-tcltk/itk/itk-3.4.1.ebuild
new file mode 100644
index 00000000000..14be48d1aae
--- /dev/null
+++ b/dev-tcltk/itk/itk-3.4.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils multilib versionator virtualx
+
+MY_PV=${PV/_beta/b}
+ITCL_VERSION="$(get_version_component_range 1-2)"
+
+DESCRIPTION="Object Oriented Enhancements for Tcl/Tk"
+HOMEPAGE="http://incrtcl.sourceforge.net/"
+SRC_URI="mirror://sourceforge/project/incrtcl/%5BIncr%20Tcl_Tk%5D-source/${PV}/${PN}${PV}.tar.gz"
+
+IUSE=""
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="alpha amd64 ia64 ppc sparc x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ <dev-lang/tk-8.6
+ =dev-tcltk/itcl-3.4*"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}$(get_version_component_range 1-2)"
+
+src_prepare() {
+ #epatch "${FILESDIR}"/${P}-install_data.patch
+ mv configure.{in,ac} || die
+ AT_M4DIR=.. eautoconf
+ sed 's:-pipe::g' -i configure || die
+}
+
+src_configure() {
+ source "${EPREFIX}"/usr/$(get_libdir)/itclConfig.sh || die
+ econf \
+ --with-tcl="${EPREFIX}"/usr/$(get_libdir) \
+ --with-tk="${EPREFIX}"/usr/$(get_libdir) \
+ --with-tclinclude="${EPREFIX}"/usr/include \
+ --with-tkinclude="${EPREFIX}"/usr/include \
+ --with-x
+}
+
+src_compile() {
+ emake CFLAGS_DEFAULT="${CFLAGS}"
+}
+
+src_test() {
+ Xemake test
+}
+
+src_install() {
+ default
+
+ cat >> "${T}"/34${PN} <<- EOF
+ LDPATH="${EPREFIX}/usr/$(get_libdir)/${PN}${MY_PV}/"
+ EOF
+ doenvd "${T}"/34${PN}
+}
diff --git a/dev-tcltk/itk/itk-4.0.0.ebuild b/dev-tcltk/itk/itk-4.0.0.ebuild
new file mode 100644
index 00000000000..3341679220d
--- /dev/null
+++ b/dev-tcltk/itk/itk-4.0.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils multilib versionator
+
+MY_PV=${PV/_beta/b}
+ITCL_VERSION="$(get_version_component_range 1-2)"
+
+DESCRIPTION="Object Oriented Enhancements for Tcl/Tk"
+HOMEPAGE="http://incrtcl.sourceforge.net/"
+SRC_URI="mirror://sourceforge/project/incrtcl/%5Bincr%20Tcl_Tk%5D-4-source/Itcl%20${MY_PV}/${PN}${MY_PV}.tar.gz"
+#SRC_URI="mirror://sourceforge/%5Bincr%20Tcl_Tk%5D-4-source/Itcl%20${MY_PV}/${PN}${MY_PV}.tar.gz"
+
+IUSE=""
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ >=dev-lang/tk-8.6
+ =dev-tcltk/itcl-${ITCL_VERSION}*"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}${MY_PV}"
+
+src_prepare() {
+# epatch "${FILESDIR}"/${P}-install_data.patch
+ AT_M4DIR=.. eautoconf
+ sed 's:-pipe::g' -i configure || die
+}
+
+src_configure() {
+ source "${EPREFIX}"/usr/$(get_libdir)/itcl${ITCL_VERSION}*/itclConfig.sh || die
+ econf \
+ --with-tcl="${EPREFIX}"/usr/$(get_libdir) \
+ --with-tk="${EPREFIX}"/usr/$(get_libdir) \
+ --with-tclinclude="${EPREFIX}"/usr/include \
+ --with-tkinclude="${EPREFIX}"/usr/include \
+ --with-itcl="${ITCL_SRC_DIR}" \
+ --with-x
+}
+
+src_compile() {
+ emake CFLAGS_DEFAULT="${CFLAGS}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ dodoc license.terms
+
+ cat >> "${T}"/34${PN} <<- EOF
+ LDPATH="${EPREFIX}/usr/$(get_libdir)/${PN}${MY_PV}/"
+ EOF
+ doenvd "${T}"/34${PN}
+}
diff --git a/dev-tcltk/itk/itk-4.0.1.ebuild b/dev-tcltk/itk/itk-4.0.1.ebuild
new file mode 100644
index 00000000000..82eebb06917
--- /dev/null
+++ b/dev-tcltk/itk/itk-4.0.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils multilib versionator
+
+MY_PV=${PV/_beta/b}
+ITCL_VERSION="$(get_version_component_range 1-2)"
+
+DESCRIPTION="Object Oriented Enhancements for Tcl/Tk"
+HOMEPAGE="http://incrtcl.sourceforge.net/"
+SRC_URI="mirror://sourceforge/project/incrtcl/%5Bincr%20Tcl_Tk%5D-4-source/itk%20${MY_PV}/${PN}${MY_PV}.tar.gz"
+#SRC_URI="mirror://sourceforge/%5Bincr%20Tcl_Tk%5D-4-source/Itcl%20${MY_PV}/${PN}${MY_PV}.tar.gz"
+
+IUSE=""
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ >=dev-lang/tk-8.6
+ =dev-tcltk/itcl-${ITCL_VERSION}*"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}${MY_PV}"
+
+src_prepare() {
+# epatch "${FILESDIR}"/${P}-install_data.patch
+ mv configure.{in,ac} || die
+ AT_M4DIR=.. eautoconf
+ sed 's:-pipe::g' -i configure || die
+}
+
+src_configure() {
+ source "${EPREFIX}"/usr/$(get_libdir)/itcl${ITCL_VERSION}*/itclConfig.sh || die
+ econf \
+ --with-tcl="${EPREFIX}"/usr/$(get_libdir) \
+ --with-tk="${EPREFIX}"/usr/$(get_libdir) \
+ --with-tclinclude="${EPREFIX}"/usr/include \
+ --with-tkinclude="${EPREFIX}"/usr/include \
+ --with-itcl="${ITCL_SRC_DIR}" \
+ --with-x
+}
+
+src_compile() {
+ emake CFLAGS_DEFAULT="${CFLAGS}"
+}
+
+src_install() {
+ default
+
+ dodoc license.terms
+
+ cat >> "${T}"/34${PN} <<- EOF
+ LDPATH="${EPREFIX}/usr/$(get_libdir)/${PN}${MY_PV}/"
+ EOF
+ doenvd "${T}"/34${PN}
+}
diff --git a/dev-tcltk/itk/metadata.xml b/dev-tcltk/itk/metadata.xml
new file mode 100644
index 00000000000..2f4ceee8b86
--- /dev/null
+++ b/dev-tcltk/itk/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>tcltk</herd>
+ <upstream>
+ <remote-id type="sourceforge">incrtcl</remote-id>
+ </upstream>
+</pkgmetadata>